// Listing 3.3: Ein neues vertrauenswrdiges Root-Zertifikat fr die Zertifikatsprfung hinzufgen
// abgeleitet aus Listing 1 aus [Appl_13.16]

SecTrustRef addAnchorToTrust(SecTrustRef trust, SecCertificateRef trustedCert)
{
    // Ein leeres Array anlegen:
    CFMutableArrayRef newAnchorArray = CFArrayCreateMutable (kCFAllocatorDefault, 0, &kCFTypeArrayCallBacks);
    
    // Das neue Zertifikat in dieses Array kopieren:
    CFArrayAppendValue(newAnchorArray, trustedCert);
    
    // Das Array mit dem neuen Zertifikat zu den 
    // vertrauenswrdigen Zertifikaten hinzufgen 
    SecTrustSetAnchorCertificates(trust, newAnchorArray);
    
    // Und jetzt noch die in iOS enthaltenen Zertifikate
    // wieder hinzufgen 
    // Ohne diesen Aufruf wrde ausschlielich dem neuen 
    // Zertifikat vertraut 
    SecTrustSetAnchorCertificatesOnly(trust, false);
 
    return trust;
}
